VERSION 5.00
Begin VB.Form frmGroup 
   Caption         =   "Groups"
   ClientHeight    =   8595
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   11880
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   8595
   ScaleWidth      =   11880
   WindowState     =   2  'Maximized
   Begin VB.Frame framCap 
      BackColor       =   &H00FFFFC0&
      Height          =   615
      Left            =   0
      TabIndex        =   2
      Top             =   0
      Width           =   2775
      Begin VB.Label lblCap 
         BackColor       =   &H00FF8080&
         Caption         =   " Groups - Add, Delete and Update Groups Details"
         BeginProperty Font 
            Name            =   "Tahoma"
            Size            =   12
            Charset         =   0
            Weight          =   700
            Underline       =   0   'False
            Italic          =   0   'False
            Strikethrough   =   0   'False
         EndProperty
         ForeColor       =   &H00FFFFFF&
         Height          =   375
         Left            =   60
         TabIndex        =   3
         Top             =   165
         Width           =   2655
      End
   End
   Begin VB.TextBox txtDesc 
      Appearance      =   0  'Flat
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   810
      Left            =   2040
      MaxLength       =   255
      TabIndex        =   1
      Top             =   1440
      Width           =   4575
   End
   Begin VB.TextBox txtName 
      Appearance      =   0  'Flat
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   325
      Left            =   2040
      MaxLength       =   50
      TabIndex        =   0
      Top             =   960
      Width           =   4575
   End
   Begin VB.Label lblDetails 
      AutoSize        =   -1  'True
      Caption         =   "Description"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   195
      Index           =   1
      Left            =   240
      TabIndex        =   5
      Top             =   1500
      Width           =   960
   End
   Begin VB.Label lblDetails 
      AutoSize        =   -1  'True
      Caption         =   "Group Name :"
      BeginProperty Font 
         Name            =   "Tahoma"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00FF0000&
      Height          =   195
      Index           =   0
      Left            =   240
      TabIndex        =   4
      Top             =   1020
      Width           =   1125
   End
End
Attribute VB_Name = "frmGroup"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Implements ClsIForm

Dim Group_ As clsGroup
Dim AddFlag_ As Boolean
Dim EditFlag_ As Boolean
Private m_EnableAttr As ToolBarItems

Private Sub ClsIForm_AddNew()
    MakeReset_
    BlockNavigation
    AddFlag_ = True
    EditFlag_ = False
    m_EnableAttr = tbsave + tbcancel + tbclose + tbHelp
    m_Toolbar.Activate m_EnableAttr
    txtName.SetFocus
End Sub

Private Sub ClsIForm_Address()

End Sub

Private Property Get ClsIForm_Attributes() As ToolBarItems
    ClsIForm_Attributes = m_EnableAttr
End Property


Private Sub ClsIForm_Cancel()

End Sub

Private Sub ClsIForm_CloseMe()
    Unload Me
End Sub

Private Sub ClsIForm_Delete()
Dim Ures_ As VbMsgBoxResult
    Ures_ = MsgBox("Are you sure to delete record?(Y/N)", vbQuestion + vbYesNo)
    If Ures_ = vbNo Then Exit Sub
    If Group_.DeleteRecord = True Then
        Group_.MovLast_
        Display
        MsgBox "Record Deleted.", vbInformation
    End If
End Sub

Private Sub ClsIForm_Edit()
    BlockNavigation
    EditFlag_ = True
    AddFlag_ = False
    m_EnableAttr = tbsave + tbcancel + tbclose + tbHelp
    m_Toolbar.Activate m_EnableAttr
    txtName.SetFocus
End Sub

Private Sub ClsIForm_Export()

End Sub

Private Sub ClsIForm_Find()

End Sub

Private Sub ClsIForm_FirstRec()
    Group_.MovFirst_
    Display
End Sub

Private Sub ClsIForm_Groups()

End Sub

Private Sub ClsIForm_Help()

End Sub

Private Sub ClsIForm_LastRec()
    Group_.MovLast_
    Display
End Sub


Private Sub ClsIForm_NextRec()
    Group_.MovNext_
    Display
End Sub

Private Sub ClsIForm_PreviousRec()
    Group_.MovPrevious_
    Display
End Sub

Private Sub ClsIForm_PrintIt()

End Sub

Private Sub ClsIForm_PrintPreview()

End Sub

Private Sub ClsIForm_Refresh()
    'N/A
End Sub

Private Sub ClsIForm_Save()
    If AddFlag_ = True Then
        GotoAddNewRecord_
        Display
    ElseIf EditFlag_ = True Then
        GotoEditRecord_
        Display
    End If
End Sub

Private Sub GotoAddNewRecord_()
    If txtName.Text = "" Then
        MsgBox "Enter Name.", vbCritical
        Exit Sub
    End If
    
    With Group_
        .GroupName = txtName.Text
        .groupDescription = txtDesc.Text
    End With
    If Group_.SaveNewRecord = True Then
            MsgBox "New Record Added", vbInformation
            m_EnableAttr = tbaddnew + tbedit + tbdelete + tbfirst + tbPrevious + tbnext + tblast + tbpreview + tbclose + tbHelp
            m_Toolbar.Activate m_EnableAttr
            AddFlag_ = False
    Else
        MsgBox "Error in saving record." & Chr(13) & Err.Description, vbInformation
    End If
End Sub


Private Sub GotoEditRecord_()
    If txtName.Text = "" Then
        MsgBox "Enter Name.", vbCritical
        Exit Sub
    End If
    With Group_
        .GroupName = txtName.Text
        .groupDescription = txtDesc.Text
    End With
    If Group_.EditCurrRecord = True Then
        MsgBox "Record Edited", vbInformation
        m_EnableAttr = tbaddnew + tbedit + tbdelete + tbfirst + tbPrevious + tbnext + tblast + tbpreview + tbclose + tbHelp
        m_Toolbar.Activate m_EnableAttr
        EditFlag_ = False
    Else
        MsgBox "Error in saving record." & Chr(13) & Err.Description, vbInformation
    End If
    
End Sub

Private Sub MakeReset_()
    txtName.Text = ""
    txtDesc.Text = ""
End Sub

Private Sub ClsIForm_Viewer()

End Sub

Private Sub Form_Activate()
    m_Toolbar.Activate Name
End Sub

Private Sub Form_Load()
    m_EnableAttr = tbaddnew + tbedit + tbdelete + tbfirst + tbPrevious + tbnext + tblast + tbpreview + tbclose + tbHelp
    Set Group_ = New clsGroup
    m_Toolbar.Attach Me, Name
    Init_Settings
End Sub
Private Sub Display()
On Error GoTo ErrHandler:
    
    With Group_
        txtName.Text = IIf(.GroupName = vbNullString, vbNullString, .GroupName)
        txtDesc.Text = IIf(.groupDescription = vbNullString, vbNullString, .groupDescription)
        
    End With
    
    Exit Sub
ErrHandler:
    MsgBox Err.Description
End Sub
Private Function Init_Settings()
    lblDetails(0).Caption = "Group Name"
    lblDetails(1).Caption = "Description"
    Group_.MovLast_
    Display
End Function
Private Sub Form_Resize()
    framCap.Top = -60
    framCap.Width = Me.Width - 240
    framCap.Left = 60
    lblCap.Width = framCap.Width - 120
End Sub

Private Sub Form_Unload(Cancel As Integer)
    m_Toolbar.Detach Name
    Set Group_ = Nothing
End Sub

Private Sub BlockNavigation()
    m_EnableAttr = tbaddnew + tbedit + tbdelete + tbpreview + tbReset + tbclose + tbHelp
    m_Toolbar.Activate m_EnableAttr
End Sub

Private Sub StartNavigation()
    m_EnableAttr = tbaddnew + tbedit + tbdelete + tbfirst + tbPrevious + tbnext + tblast + tbpreview + tbclose + tbHelp
    m_Toolbar.Activate m_EnableAttr
End Sub


