VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "ClsPreview"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Dim Type_ As String

Dim PageWd As Integer
Dim PageHt As Integer
Dim PaperSz As Integer

Dim PrevFont As String
Dim PrevFontSZ As Integer
Dim PrevFontB As Boolean
Dim PrevFontI As Boolean
Dim PrevFontU As Boolean

Dim MarginT As Integer
Dim MarginB As Integer
Dim MarginL As Integer
Dim MarginR As Integer

Public WhttoPrint As String

Dim Script_ As ClsScript

Dim CurrPag As Integer

Public Property Get CurrentPage() As Integer
    CurrentPage = CurrPag
End Property

Public Property Let CurrentPage(ByVal vNewValue As Integer)
    CurrPag = vNewValue
End Property

Public Property Get PageWidth() As Integer
    PageWidth = PageWd
End Property

Public Property Let PageWidth(ByVal vNewValue As Integer)
    PageWd = vNewValue
End Property

Public Property Get PageHeight() As Integer
    PageHeight = PageHt
End Property

Public Property Let PageHeight(ByVal vNewValue As Integer)
    PageHt = vNewValue
End Property

Public Property Get Papersize() As Integer
    Papersize = PaperSz
End Property

Public Property Let Papersize(ByVal vNewValue As Integer)
    PaperSz = vNewValue
    GetPaperSz
End Property

Public Property Get LeftMargin() As Integer
    LeftMargin = MarginL
End Property

Public Property Let LeftMargin(ByVal vNewValue As Integer)
    MarginL = vNewValue
End Property

Public Property Get RightMargin() As Integer
    RightMargin = MarginR
End Property

Public Property Let RightMargin(ByVal vNewValue As Integer)
    MarginR = vNewValue
End Property

Public Property Get BottomMargin() As Integer
    BottomMargin = MarginB
End Property

Public Property Let BottomMargin(ByVal vNewValue As Integer)
    MarginB = vNewValue
End Property

Public Property Get TopMargin() As Integer
    TopMargin = MarginT
End Property

Public Property Let TopMargin(ByVal vNewValue As Integer)
    MarginT = vNewValue
End Property

Public Property Get PreviewFont() As String
    PreviewFont = PrevFont
End Property

Public Property Let PreviewFont(ByVal vNewValue As String)
     PrevFont = vNewValue
End Property

Public Property Get PreviewFontSize() As Integer
    PreviewFontSize = PrevFontSZ
End Property

Public Property Let PreviewFontSize(ByVal vNewValue As Integer)
     PrevFontSZ = vNewValue
End Property

Public Property Get PreviewFontBold() As Boolean
    PreviewFontBold = PrevFontB
End Property

Public Property Let PreviewFontBold(ByVal vNewValue As Boolean)
     PrevFontB = vNewValue
End Property

Public Property Get PreviewFontItalic() As Boolean
    PreviewFontItalic = PrevFontI
End Property

Public Property Let PreviewFontItalic(ByVal vNewValue As Boolean)
     PrevFontI = vNewValue
End Property

Public Property Get PreviewFontUnderLine() As Boolean
    PreviewFontUnderLine = PrevFontU
End Property

Public Property Let PreviewFontUnderLine(ByVal vNewValue As Boolean)
     PrevFontU = vNewValue
End Property

Public Function ArrangePageViewer(obj_ As PictureBox)
    With obj_
        .Height = PageHeight
        .Width = PageWidth
    End With
End Function

Public Function writeBlankLine(obj_ As PictureBox, Lines As Byte)
    For i = 1 To Lines
        obj_.Print ""
    Next i
End Function

Public Function DrawLine(obj_ As PictureBox, X1 As Integer, X2 As Integer, Y1 As Integer, Y2 As Integer)
    obj_.Line (X1, Y1)-(X2, Y2)
End Function

Public Function WriteString(obj_ As PictureBox, Str_ As String, currX As Integer)
    obj_.Font = PreviewFont
    obj_.FontSize = PreviewFontSize
    obj_.FontBold = PreviewFontBold
    obj_.FontItalic = PreviewFontItalic
    obj_.FontUnderline = PreviewFontUnderLine
    
    obj_.CurrentX = currX
    obj_.Print Str_;
End Function

Public Function writeStringLine(obj_ As PictureBox, Str_ As String, currX As Integer, currY As Integer)
    obj_.Font = PreviewFont
    obj_.FontSize = PreviewFontSize
    obj_.FontBold = PreviewFontBold
    obj_.FontItalic = PreviewFontItalic
    obj_.FontUnderline = PreviewFontUnderLine
    
    obj_.CurrentX = currX
    obj_.CurrentY = currY
    
    obj_.Print Str_
    GetPrintingArea obj_
End Function

Public Function writeStringLineCenter(obj_ As PictureBox, Str_ As String, currY As Integer)
    obj_.Font = PreviewFont
    obj_.FontSize = PreviewFontSize
    obj_.FontBold = PreviewFontBold
    obj_.FontItalic = PreviewFontItalic
    obj_.FontUnderline = PreviewFontUnderLine
    
    obj_.CurrentX = (obj_.ScaleWidth - obj_.TextWidth(Str_)) / 2
    obj_.CurrentY = currY
    
    obj_.Print Str_
    GetPrintingArea obj_
End Function

Private Function GetPrintingArea(obj_ As PictureBox)
Dim CurrPos As Integer
    CurrPos = TopMargin + BottomMargin
    CurrPos = CurrPos + obj_.CurrentY
    
    If CurrPos >= obj_.Height Then
            
    End If
End Function

Public Function LoadNewSheet(obj_ As PictureBox)
    Load obj_
    obj_.Visible = True
End Function

Public Function MovetoSheet(frm As Form, obj_ As PictureBox)
    For i = 0 To frm.Page_.UBound
        frm.Page_(i).Visible = False
    Next i
    obj_.Visible = True
End Function

Private Function GetPaperSz()
    Select Case Papersize
        Case 1
            PageHeight = 1440 * 11
            PageWidth = 1440 * 8.5
        Case 9
            PageHeight = 1440 * 11.75
            PageWidth = 1440 * 8.25
        Case 256
            
    End Select
End Function
