VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsToolBar"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Private WithEvents m_Toolbar As Toolbar
Attribute m_Toolbar.VB_VarHelpID = -1
Private mcol As Collection
Private m_iForm As ClsIForm

Public Sub Attach(viForm As ClsIForm, ByVal sKey As String)
        On Error Resume Next
    mcol.Add viForm, sKey
    Activate sKey
End Sub

Public Sub Detach(ByVal sKey)
        On Error Resume Next
    mcol.Remove sKey
    If mcol.Count = 1 Then
        Set m_iForm = mcol(1)
        RefreshVisibleState
        'RefreshEnabledState
    End If
End Sub

Public Sub Activate(ByVal sKey As String)
        On Error Resume Next
    Set m_iForm = mcol(sKey)
    RefreshVisibleState
'    RefreshEnabledState
End Sub

Private Sub Class_Initialize()
    Set m_Toolbar = MDIMain.Tbar1
    Set mcol = New Collection
End Sub

Private Sub m_Toolbar_ButtonClick(ByVal Button As MSComctlLib.Button)
        On Error Resume Next
    Select Case Button.Key
        Case "Viewer"
            m_iForm.Viewer
        Case "Address"
            m_iForm.Address
        Case "Groups"
            m_iForm.Groups
        Case "AddNew"
            m_iForm.AddNew
        Case "Edit"
            m_iForm.Edit
        Case "Save"
            m_iForm.Save
        Case "Cancel"
            m_iForm.Cancel
        Case "Delete"
            m_iForm.Delete
        Case "First"
            m_iForm.FirstRec
        Case "Previous"
            m_iForm.PreviousRec
        Case "Next"
            m_iForm.NextRec
        Case "Last"
            m_iForm.LastRec
        Case "Close"
            m_iForm.CloseMe
        Case "Reset"
            m_iForm.Refresh
        Case "Find"
            m_iForm.Find
        Case "Print"
            m_iForm.PrintIt
        Case "Preview"
            m_iForm.PrintPreview
        Case "Help"
            m_iForm.Help
        Case "Export"
            m_iForm.Export
    End Select
End Sub
Private Sub RefreshVisibleState()
        On Error Resume Next
    Dim iState As ToolBarItems
    iState = m_iForm.Attributes
    With m_Toolbar
        .Buttons("Viewer").Visible = iState And tbviewer
        .Buttons("Sep1").Visible = iState And tbviewer
        
        .Buttons("Address").Visible = iState And tbaddress
        .Buttons("Groups").Visible = iState And tbgroups
        .Buttons("Sep2").Visible = iState And tbaddress
        
        .Buttons("AddNew").Visible = iState And tbaddnew
        .Buttons("Edit").Visible = iState And tbedit
        .Buttons("Save").Visible = iState And tbsave
        .Buttons("Cancel").Visible = iState And tbcancel
        .Buttons("Delete").Visible = iState And tbdelete
        .Buttons("Sep3").Visible = iState And (tbdelete Or tbcancel)
        
        .Buttons("First").Visible = iState And tbfirst
        .Buttons("Previous").Visible = iState And tbPrevious
        .Buttons("Next").Visible = iState And tbnext
        .Buttons("Last").Visible = iState And tblast
        .Buttons("Sep4").Visible = iState And tblast
        
        .Buttons("Find").Visible = iState And tbfind
        .Buttons("Sep5").Visible = iState And tbfind
        
        .Buttons("Preview").Visible = iState And tbpreview
        .Buttons("Print").Visible = iState And tbPrint
        .Buttons("Export").Visible = iState And tbExport
        .Buttons("Reset").Visible = iState And tbReset
        .Buttons("Close").Visible = iState And tbclose
        
        .Buttons("Sep6").Visible = iState And tbclose
        
        .Buttons("Help").Visible = iState And tbHelp
    End With
End Sub

