VERSION 5.00
Object = "{831FDD16-0C5C-11D2-A9FC-0000F8754DA1}#2.0#0"; "MSCOMCTL.OCX"
Begin VB.Form frmAddressViewer 
   Caption         =   "AddressBook Viewer"
   ClientHeight    =   8595
   ClientLeft      =   60
   ClientTop       =   345
   ClientWidth     =   11880
   LinkTopic       =   "Form1"
   MDIChild        =   -1  'True
   ScaleHeight     =   8595
   ScaleWidth      =   11880
   WindowState     =   2  'Maximized
   Begin VB.ListBox lstprntprev 
      Height          =   450
      Left            =   2040
      TabIndex        =   2
      Top             =   3360
      Visible         =   0   'False
      Width           =   2055
   End
   Begin MSComctlLib.ListView PathViewer 
      Height          =   2775
      Left            =   0
      TabIndex        =   0
      Top             =   480
      Width           =   5175
      _ExtentX        =   9128
      _ExtentY        =   4895
      Arrange         =   2
      LabelEdit       =   1
      LabelWrap       =   -1  'True
      HideSelection   =   -1  'True
      _Version        =   393217
      Icons           =   "ImageList1"
      ForeColor       =   -2147483640
      BackColor       =   -2147483643
      BorderStyle     =   1
      Appearance      =   1
      NumItems        =   0
   End
   Begin MSComctlLib.ImageList ImageList1 
      Left            =   0
      Top             =   3360
      _ExtentX        =   1005
      _ExtentY        =   1005
      BackColor       =   -2147483643
      ImageWidth      =   32
      ImageHeight     =   32
      MaskColor       =   12632256
      _Version        =   393216
      BeginProperty Images {2C247F25-8591-11D1-B16A-00C0F0283628} 
         NumListImages   =   3
         BeginProperty ListImage1 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmAddressViewer.frx":0000
            Key             =   ""
         EndProperty
         BeginProperty ListImage2 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmAddressViewer.frx":3084
            Key             =   ""
         EndProperty
         BeginProperty ListImage3 {2C247F27-8591-11D1-B16A-00C0F0283628} 
            Picture         =   "frmAddressViewer.frx":9320
            Key             =   ""
         EndProperty
      EndProperty
   End
   Begin VB.Label lblPath 
      Alignment       =   2  'Center
      BackColor       =   &H80000005&
      BorderStyle     =   1  'Fixed Single
      Caption         =   "#lblPath"
      BeginProperty Font 
         Name            =   "Arial"
         Size            =   9.75
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   495
      Left            =   0
      TabIndex        =   1
      Top             =   0
      Width           =   11895
   End
End
Attribute VB_Name = "frmAddressViewer"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Implements ClsIForm

Dim Viewer_ As ClsViewer
Dim PrntPreview As ClsPreview
Dim Address_ As ClsAddress
Dim Script_ As ClsScript

Dim CurrLevel As Integer
Dim LevelID_(2) As Long

Private m_EnableAttr As ToolBarItems

Private Sub ClsIForm_AddNew()

End Sub

Private Sub ClsIForm_Address()

End Sub

Private Property Get ClsIForm_Attributes() As ToolBarItems
    ClsIForm_Attributes = m_EnableAttr
End Property

Private Sub ClsIForm_Cancel()

End Sub

Private Function ArrangeViewer(LstViw As ListView)
Dim name_ As String
Dim ID_ As String
Dim Typ_ As String
    LstViw.ListItems.Clear
    If CurrLevel = 0 Then
        PathViewer.ListItems.Add , "K0", "My AddressBook", 1
    ElseIf CurrLevel = 1 Then
        Viewer_.GetGroups
    Else
        Viewer_.GetItems (LevelID_(CurrLevel))
    End If
    For i = 0 To Viewer_.TotItems - 1
        Viewer_.ListIndex = i
        
        ID_ = "K" & Viewer_.ItemIdent
        name_ = Viewer_.ItemData
        Typ_ = Viewer_.ItemType
        
        If CurrLevel = 0 Then
        ElseIf CurrLevel = 1 Then
            LstViw.ListItems.Add , ID_, name_, 2
        Else
            LstViw.ListItems.Add , ID_, name_, 3
        End If
    Next i
    
    MakePath_
End Function

Private Sub MakePath_()
Dim strin_ As String
    If CurrLevel = 1 Then
        strin_ = "MyAddressBook"
    ElseIf CurrLevel = 2 Then
        strin_ = "MyAddressBook\"
        strin_ = strin_ & Viewer_.GetGroupName(CInt(LevelID_(CurrLevel))) & "\"
    End If
    lblPath.Caption = strin_
End Sub
Private Sub ClsIForm_CloseMe()
    Unload Me
End Sub

Private Sub ClsIForm_Delete()

End Sub

Private Sub ClsIForm_Edit()

End Sub

Private Sub ClsIForm_Export()

End Sub

Private Sub ClsIForm_Find()

End Sub

Private Sub ClsIForm_FirstRec()

End Sub

Private Sub ClsIForm_Groups()

End Sub

Private Sub ClsIForm_Help()

End Sub

Private Sub ClsIForm_LastRec()

End Sub

Private Sub ClsIForm_NextRec()
    If CurrLevel = 2 Then Exit Sub
    CurrLevel = CurrLevel + 1
    If LevelID_(CurrLevel) < 0 Then
        CurrLevel = CurrLevel - 1
        Exit Sub
    End If
    ArrangeViewer PathViewer
End Sub

Private Sub ClsIForm_PreviousRec()
    If CurrLevel = 0 Then Exit Sub
    CurrLevel = CurrLevel - 1
    If LevelID_(CurrLevel) < 0 Then
        CurrLevel = CurrLevel + 1
        Exit Sub
    End If
    ArrangeViewer PathViewer
End Sub

Private Sub ClsIForm_PrintIt()

End Sub

Private Sub ClsIForm_PrintPreview()
Dim obj_ As Object


    
    Set obj_ = frmPreview.Page_(0)
    Set Script_ = New ClsScript
    
    Load frmPreview
    frmPreview.PreviewCurrPage = 0
    frmPreview.PreviewTotPage = 0
    Script_.OpenFile App.Path
    
    WriteData_ obj_
    
    frmPreview.Show
    
    EditPanelsText MDIMain.StatusBar, 4, "Page " & frmPreview.PreviewCurrPage + 1 & " of Page " & frmPreview.PreviewTotPage + 1
    Script_.CloseFile
    Set Script_ = Nothing
End Sub
Private Sub WriteData_(obj_ As PictureBox)
Dim CurrtY As Integer
Dim RecCntr As Integer

    With PrntPreview
        
        .PaperSize = 9
        
        Script_.PaperSize = 9
        
        Script_.PageHeight = .PageHeight
        Script_.PageWidth = .PageWidth
        Script_.CurrentPage = 1
        
        .ArrangePageViewer obj_
    
        frmPreview.ArrangeObjects
        
        .TopMargin = 1440 * 0.5
        .BottomMargin = 1440 * 0.5
        .LeftMargin = 1440 * 0.5
        .RightMargin = 1440 * 0.5
        
        obj_.CurrentY = .TopMargin
         
         
        .PreviewFont = "Arial"
        .PreviewFontSize = 14
        .PreviewFontBold = True
        .PreviewFontUnderLine = True
        
        Script_.ScriptFont = .PreviewFont
        Script_.ScriptFontSize = .PreviewFontSize
        Script_.ScriptFontBold = .PreviewFontBold
        Script_.ScriptFontUnderLine = .PreviewFontUnderLine
        
        Script_.WriteString "Address List", ((obj_.ScaleWidth - obj_.TextWidth("Address List")) / 2), obj_.CurrentY
        
        .writeStringLineCenter obj_, "Address List", obj_.CurrentY
        
        
        
        .PreviewFontSize = 11
        .PreviewFontBold = True
        .PreviewFontUnderLine = False
        
        Script_.ScriptFont = .PreviewFont
        Script_.ScriptFontSize = .PreviewFontSize
        Script_.ScriptFontBold = .PreviewFontBold
        Script_.ScriptFontUnderLine = .PreviewFontUnderLine
        
        
        .writeBlankLine obj_, 2
        
        .DrawLine obj_, .LeftMargin, (obj_.ScaleWidth - .RightMargin), obj_.CurrentY, obj_.CurrentY
        Script_.DrawLine .LeftMargin, (obj_.ScaleWidth - .RightMargin), obj_.CurrentY, obj_.CurrentY
        
        CurrtY = obj_.CurrentY + 20
        
        
        .WriteString obj_, "Name", .LeftMargin
        .WriteString obj_, "Group", .LeftMargin + 1440 * 1.8
        .WriteString obj_, "Address", .LeftMargin + 1440 * 2.5
        .WriteString obj_, "Mobile", .LeftMargin + 1440 * 4
        .WriteString obj_, "Telephone", .LeftMargin + 1440 * 5
        .writeStringLine obj_, "Fax", .LeftMargin + 1440 * 6, obj_.CurrentY
        
        Script_.WriteString "Name", .LeftMargin, CurrtY
        Script_.WriteString "Group", .LeftMargin + 1440 * 1.8, CurrtY
        Script_.WriteString "Address", .LeftMargin + 1440 * 2.5, CurrtY
        Script_.WriteString "Mobile", .LeftMargin + 1440 * 4, CurrtY
        Script_.WriteString "Telephone", .LeftMargin + 1440 * 5, CurrtY
        Script_.WriteString "Fax", .LeftMargin + 1440 * 6, CurrtY
                
        .DrawLine obj_, .LeftMargin, (obj_.ScaleWidth - .RightMargin), obj_.CurrentY, obj_.CurrentY
        Script_.DrawLine .LeftMargin, (obj_.ScaleWidth - .RightMargin), obj_.CurrentY, obj_.CurrentY
                
        .PreviewFontBold = False
        .PreviewFontSize = 10
        Script_.ScriptFontSize = .PreviewFontSize
        Script_.ScriptFontBold = .PreviewFontBold
        obj_.CurrentY = obj_.CurrentY + 20
        
        .CurrentPage = 1
        
        Address_.DetailsIDList lstprntprev
        
        RecCntr = 1
        For i = 0 To lstprntprev.ListCount - 1
            If RecCntr = 50 Then
            
                .writeBlankLine obj_, 1
                
                .DrawLine obj_, .LeftMargin, (obj_.ScaleWidth - .RightMargin), obj_.CurrentY, obj_.CurrentY
                Script_.DrawLine .LeftMargin, (obj_.ScaleWidth - .RightMargin), obj_.CurrentY, obj_.CurrentY
                
                Script_.CurrentPage = Script_.CurrentPage + 1
                
                
                .LoadNewSheet frmPreview.Page_(Script_.CurrentPage - 1)
                
                Set obj_ = frmPreview.Page_(Script_.CurrentPage - 1)
                
                frmPreview.PreviewTotPage = frmPreview.PreviewTotPage + 1
                
                
                obj_.CurrentY = .TopMargin
         
         
                .PreviewFont = "Arial"
                .PreviewFontSize = 14
                .PreviewFontBold = True
                .PreviewFontUnderLine = True
                
                Script_.ScriptFont = .PreviewFont
                Script_.ScriptFontSize = .PreviewFontSize
                Script_.ScriptFontBold = .PreviewFontBold
                Script_.ScriptFontUnderLine = .PreviewFontUnderLine
                
                Script_.WriteString "Address List", ((obj_.ScaleWidth - obj_.TextWidth("Address List")) / 2), obj_.CurrentY
                
                .writeStringLineCenter obj_, "Address List", obj_.CurrentY
                
                
                
                .PreviewFontSize = 11
                .PreviewFontBold = True
                .PreviewFontUnderLine = False
                
                Script_.ScriptFont = .PreviewFont
                Script_.ScriptFontSize = .PreviewFontSize
                Script_.ScriptFontBold = .PreviewFontBold
                Script_.ScriptFontUnderLine = .PreviewFontUnderLine
                
                
                .writeBlankLine obj_, 2
                
                .DrawLine obj_, .LeftMargin, (obj_.ScaleWidth - .RightMargin), obj_.CurrentY, obj_.CurrentY
                Script_.DrawLine .LeftMargin, (obj_.ScaleWidth - .RightMargin), obj_.CurrentY, obj_.CurrentY
                
                CurrtY = obj_.CurrentY + 20
                
                
                .WriteString obj_, "Name", .LeftMargin
                .WriteString obj_, "Group", .LeftMargin + 1440 * 1.8
                .WriteString obj_, "Address", .LeftMargin + 1440 * 2.5
                .WriteString obj_, "Mobile", .LeftMargin + 1440 * 4
                .WriteString obj_, "Telephone", .LeftMargin + 1440 * 5
                .writeStringLine obj_, "Fax", .LeftMargin + 1440 * 6, obj_.CurrentY
                
                Script_.WriteString "Name", .LeftMargin, CurrtY
                Script_.WriteString "Group", .LeftMargin + 1440 * 1.8, CurrtY
                Script_.WriteString "Address", .LeftMargin + 1440 * 2.5, CurrtY
                Script_.WriteString "Mobile", .LeftMargin + 1440 * 4, CurrtY
                Script_.WriteString "Telephone", .LeftMargin + 1440 * 5, CurrtY
                Script_.WriteString "Fax", .LeftMargin + 1440 * 6, CurrtY
                        
                .DrawLine obj_, .LeftMargin, (obj_.ScaleWidth - .RightMargin), obj_.CurrentY, obj_.CurrentY
                Script_.DrawLine .LeftMargin, (obj_.ScaleWidth - .RightMargin), obj_.CurrentY, obj_.CurrentY
                        
                .PreviewFontBold = False
                .PreviewFontSize = 10
                Script_.ScriptFontSize = .PreviewFontSize
                Script_.ScriptFontBold = .PreviewFontBold
                obj_.CurrentY = obj_.CurrentY + 20
                
                
            End If
            Address_.MovToRec lstprntprev.List(i)
            
            Script_.WriteString Address_.FName_ & "  " & Address_.LName_, .LeftMargin, obj_.CurrentY
            .WriteString obj_, Address_.FName_ & "  " & Address_.LName_, .LeftMargin
                
            Script_.WriteString Address_.Group_, .LeftMargin + 1440 * 1.8, obj_.CurrentY
            .WriteString obj_, Address_.Group_, .LeftMargin + 1440 * 1.8
            
            Script_.WriteString Address_.Address1, .LeftMargin + 1440 * 2.5, obj_.CurrentY
            .WriteString obj_, Address_.Address1, .LeftMargin + 1440 * 2.5
                
            Script_.WriteString Address_.MobileNo1, .LeftMargin + 1440 * 4, obj_.CurrentY
            .WriteString obj_, Address_.MobileNo1, .LeftMargin + 1440 * 4
            
            Script_.WriteString Address_.Phone1, .LeftMargin + 1440 * 5, obj_.CurrentY
            .WriteString obj_, Address_.Phone1, .LeftMargin + 1440 * 5
            
            Script_.WriteString Address_.Fax1, .LeftMargin + 1440 * 6, obj_.CurrentY
            .writeStringLine obj_, Address_.Fax1, .LeftMargin + 1440 * 6, obj_.CurrentY
            
            RecCntr = RecCntr + 1
        Next i
        .MovetoSheet frmPreview, frmPreview.Page_(CurrPag)
        
        .writeBlankLine obj_, 1
                
        .DrawLine obj_, .LeftMargin, (obj_.ScaleWidth - .RightMargin), obj_.CurrentY, obj_.CurrentY
        Script_.DrawLine .LeftMargin, (obj_.ScaleWidth - .RightMargin), obj_.CurrentY, obj_.CurrentY
        
        Script_.EndDoc
    End With
End Sub
Private Sub ClsIForm_Refresh()
    CurrLevel = 0
    LevelID_(0) = 0
    LevelID_(1) = -1
    LevelID_(2) = -1
    ArrangeViewer PathViewer
End Sub

Private Sub ClsIForm_Save()

End Sub

Private Sub ClsIForm_Viewer()

End Sub

Private Sub Form_Activate()
    m_Toolbar.Activate Name
End Sub
Private Sub Form_Load()

    m_EnableAttr = tbPrevious + tbnext + tbpreview + tbReset + tbclose + tbHelp
    m_Toolbar.Attach Me, Name
    
    CurrLevel = 0
    LevelID_(0) = 0
    LevelID_(1) = -1
    LevelID_(2) = -1
    
    Set Viewer_ = New ClsViewer
    Set PrntPreview = New ClsPreview
    Set Address_ = New ClsAddress
    
    ArrangeViewer PathViewer
End Sub

Private Sub Form_Resize()
    lblPath.Width = Me.Width - 60
    PathViewer.Width = Me.Width - 60
    PathViewer.Height = Me.Height - 920
End Sub

Private Sub Form_Unload(Cancel As Integer)
    Set Viewer_ = Nothing
    Set PrntPreview = Nothing
    Set Address_ = Nothing
    m_Toolbar.Detach Name
End Sub

Private Sub PathViewer_ItemDblClick(Item As ListItem)

    If PathViewer.ListItems.Count = 0 Then Exit Sub
    If CurrLevel = 2 Then
        frmContactViewer.Show 1
    Else
        CurrLevel = CurrLevel + 1
        
        LevelID_(CurrLevel) = Right(PathViewer.SelectedItem.Key, (Len(PathViewer.SelectedItem.Key) - 1))
        ArrangeViewer PathViewer
    End If
End Sub

Private Sub PathViewer_DblClick()
    If Not (PathViewer.SelectedItem Is Nothing) Then
         PathViewer_ItemDblClick PathViewer.SelectedItem
    End If
End Sub

Private Sub PathViewer_MouseDown(Button As Integer, Shift As Integer, X As Single, Y As Single)
    Set PathViewer.SelectedItem = PathViewer.HitTest(X, Y)
End Sub
