Attribute VB_Name = "MdlGlobal"
Public m_Toolbar As clsToolBar
Public AppPath_ As String
Public Provider_ As String
Public DbString_ As String
Public GotPath_ As Boolean

Public Fso_ As Scripting.FileSystemObject
Public fil_ As Scripting.TextStream


Public Function GetInISettings()

    Set Fso_ = New Scripting.FileSystemObject
    If Fso_.FileExists(App.Path & "\AddressBook.ini") = False Then
        Set Fso_ = Nothing
        GenerateINIFile
    End If
    
    
    If GetPath = False Then
    End If
    If GetProvider = False Then
    End If
    GetDbStrin
    If Fso_.FileExists(DbString_) = False Then
        frmDatabaseBrowse.Show 1
        If GotPath_ = False Then
            End
        End If
        GetDbStrin
    End If
    Set Fso_ = Nothing
End Function
Private Function GenerateINIFile()
    Set Fso_ = New Scripting.FileSystemObject
    Set fil_ = Fso_.CreateTextFile(App.Path & "\Addressbook.ini")
    fil_.WriteLine "    ; ** Abhilasha AddressBook 2006 Version 1.0.1 Parameters File"
    fil_.WriteBlankLines 1
    fil_.WriteLine "[OPTIONS]"
    fil_.WriteBlankLines 2
    fil_.WriteLine "    ; ** Configure your Application Path"
    fil_.WriteBlankLines 1
    fil_.WriteLine "Path=" & App.Path
    fil_.WriteBlankLines 2
    
    fil_.WriteLine "    ; ** Specify your Database Path"
    fil_.WriteBlankLines 1
    fil_.WriteLine "Provider=Microsoft.Jet.OLEDB.4.0"
    fil_.WriteLine "Database=" & App.Path & "\Data\Data.mdb"
    
    fil_.WriteLine "[Envelope]"
    fil_.WriteLine "Name=Yes"
    fil_.WriteLine "Address=Yes"
    fil_.WriteLine "M1=Yes"
    fil_.WriteLine "M2=No"
    fil_.WriteLine "M3=No"
    fil_.WriteLine "Ph1=No"
    fil_.WriteLine "Ph2=No"
    fil_.WriteLine "Ph3=No"
    fil_.WriteLine "Ph4=No"
    fil_.WriteLine "Ph5=No"
    fil_.WriteLine "Ph6=No"
    fil_.WriteLine "Fax1=No"
    fil_.WriteLine "Fax2=No"
    fil_.WriteLine "Email=No"
    fil_.WriteLine "CP=No"
    
    
    fil_.Close
    Set fil_ = Nothing
    Set Fso_ = Nothing
End Function


Public Function GetPath() As Boolean
Dim TmpTray As String
    TmpTray = ReadIniFile(App.Path & "\AddressBook.ini", "OPTIONS", "Path", "")
    If TmpTray = "" Then
        GetPath = False
    Else
        GetPath = True
        AppPath_ = TmpTray
    End If
End Function

Public Sub Set_Path(Set_String As String)
    WriteIniFile App.Path & "\AddressBook.ini", "OPTIONS", "Path", Set_String
    
End Sub

Public Function GetProvider() As Boolean
Dim TmpTray As String
    TmpTray = ReadIniFile(App.Path & "\AddressBook.ini", "OPTIONS", "Provider", "")
    If TmpTray = "" Then
        GetProvider = False
    Else
        GetProvider = True
        Provider_ = TmpTray
    End If
End Function

Public Sub Set_Provider(Set_String As String)
    WriteIniFile App.Path & "\AddressBook.ini", "OPTIONS", "Provider", Set_String
End Sub

Public Function GetDbStrin() As Boolean
Dim TmpTray As String
    TmpTray = ReadIniFile(App.Path & "\AddressBook.ini", "OPTIONS", "Database", "")
    If TmpTray = "" Then
        GetDbStrin = False
    Else
        GetDbStrin = True
        DbString_ = TmpTray
    End If
End Function

Public Sub Set_Dbstrin(Set_String As String)
    WriteIniFile App.Path & "\AddressBook.ini", "OPTIONS", "Database", Set_String
End Sub


